<?php
session_start();
include_once 'classes/TestProjektSmarty.class.php';
require_once("config.inc.php");
$templatename = substr(basename($_SERVER['PHP_SELF']),0,-3)."html";
$smarty = new Smarty();
require_once "language/german.inc.php";

require_once("func_verlauf.php");
require_once("func_htmlclean.php");
require_once("func_mail_einstell.php");

$action = $_GET['action'];

if($action == ''){
  
  # Variable erfassen_eingabe_vid leer setzen, damit wird Doppelspeicherung unten beim Insert verhindert
  $_SESSION["erfassen_eingabe_vid"] = "";
  
  if($_GET['error'] == 1){
    $smarty->assign('erfassen_eingabe_pflichtfelder', "1");
    
    $smarty->assign('erfassen_eingabe_betreff', $_SESSION["erfassen_eingabe_betreff"]);
    if($_SESSION["erfassen_eingabe_betreff"] == ""){$smarty->assign('erfassen_eingabe_betreff_ico', 1);}
    
    $smarty->assign('erfassen_eingabe_beschreibung', $_SESSION["erfassen_eingabe_beschreibung"]);
    if($_SESSION["erfassen_eingabe_beschreibung"] == ""){$smarty->assign('erfassen_eingabe_beschreibung_ico', 1);}
    
    $smarty->assign('erfassen_eingabe_vorschlag', $_SESSION["erfassen_eingabe_vorschlag"]);
    if($_SESSION["erfassen_eingabe_vorschlag"] == ""){$smarty->assign('erfassen_eingabe_vorschlag_ico', 1);}
    
    $smarty->assign('erfassen_eingabe_nutzen', $_SESSION["erfassen_eingabe_nutzen"]);
    if($_SESSION["erfassen_eingabe_nutzen"] == ""){$smarty->assign('erfassen_eingabe_nutzen_ico', 1);}
    
    if($_SESSION["erfassen_eingabe_einwilligung_public"] == 'Y'){
      $smarty->assign('erfassen_eingabe_einwilligung_public', $_SESSION["erfassen_eingabe_einwilligung_public"]);
    }
  }
  
  $db = dbconnect();
  $result = $db->query("SELECT vorname, nachname, mail, beziehung FROM imt_user WHERE imtuid = '$uid'");
  $row = $result->fetch_array();
  
  $smarty->assign('erfassen_eingabe_vorname', $row['vorname']);
  $smarty->assign('erfassen_eingabe_nachname', $row['nachname']);
  $smarty->assign('erfassen_eingabe_mail', "$row[mail]");
  
  switch ($row['beziehung'])
  {
      case "P":
          $beziehung = "ProfessorIn";
          break;
      case "L":
          $beziehung = "Lehrbeauftragte/r";
          break;
      case "E":
          $beziehung = "Externe/r";
          break;
      case "S":
          $beziehung = "StudentIn";
          break;
      case "V":
          $beziehung = "Verwaltungsmitarbeiter";
          break;
      default:
          $beziehung = "$row[beziehung]";
  }

  $smarty->assign('erfassen_eingabe_beziehung', $beziehung);

  
}

if($action == 'save'){

  $sid = session_id();
  
  $betreff = $_POST['betreff'];
  $betreff = str_replace (array("ä", "ö", "ü", "ß", "Ä", "Ö", "Ü"), array("&auml;", "&ouml;", "&uuml;", "&szlig;", "&Auml;", "&Ouml;", "&Uuml;"), $betreff);
  
  $beschreibung = htmlclean($_POST['beschreibung']);
  $vorschlag = htmlclean($_POST['vorschlag']);
  $nutzen = htmlclean($_POST['nutzen']);
  $einwilligung_public = $_POST['einwilligung_public'];
  
  if($betreff == "" OR $beschreibung == "" OR $nutzen == "" OR $vorschlag == ""){
    $_SESSION["erfassen_eingabe_betreff"] = "$betreff";
    $_SESSION["erfassen_eingabe_beschreibung"] = "$beschreibung";
    $_SESSION["erfassen_eingabe_vorschlag"] = "$vorschlag";
    $_SESSION["erfassen_eingabe_nutzen"] = "$nutzen";
    $_SESSION["erfassen_eingabe_einwilligung_public"] = "$einwilligung_public";
    
    echo "<meta http-equiv=\"refresh\" content=\"0; URL=".$_SERVER['PHP_SELF']."?error=1\">";
    
  }else{
    if($einwilligung_public != 'Y'){
      $einwilligung_public = 'N';
    }
    $aend_dat = date("Y-m-d H:i:s");
    
    if($_SESSION["erfassen_eingabe_vid"] == ""){ // Doppelspeicherung verhindern, wird oben auf "" gesetzt
      $db = dbconnect();
      
      $sql1 = $db->query("INSERT INTO imt_vorschlag (imtuid, betreff, beschreibung, vorschlag, nutzen, public, erfass_dat)
                                              VALUES ('$uid', '$betreff', '$beschreibung', '$vorschlag', '$nutzen', '$einwilligung_public', '$aend_dat')");
      $vid = $db->insert_id;
      
      
      

      $sql2 = $db->query("INSERT INTO imt_gruppenmitglieder (vid, name, mail)
                            SELECT $vid, name, mail FROM imt_gruppenmitglieder_temp WHERE session='$sid' AND imtuid='$_SESSION[global_uid]' ORDER BY name ASC
                         ");
      if($sql2){                   
        $sql3 = $db->query("DELETE FROM imt_gruppenmitglieder_temp WHERE session='$sid' AND imtuid='$_SESSION[global_uid]'");
      }
    }
    
    if($sql1 AND $sql2 AND $sql3){
      $_SESSION["erfassen_eingabe_vid"] = "$vid";
        
        $empfaenger = "$global_service_uid";
        $betreff1 = "Neuer Vorschlag im Ideenmanagement";
        $text = "
          <html>
          <head>
          <title>Neuer Vorschlag im Ideenmanagement</title>
          </head>
          <body>
          <font face='Arial' size='2'>
          Guten Tag $global_service_admin!
          <br /><br />
          Im Rahmen des Ideenmanagements ist ein Verbesserungsvorschlag eingegangen. 
          Nachfolgend finden Sie die Daten des Vorschlags:
	  
          <br />
          <br />
          <table>
          <tr>
             <td valign='top'>
               <font face='Arial' size='2'>
                 <b>ID:</b>
               </font>
             </td>
             <td valign='top'>
               <font face='Arial' size='2'>
                 $vid
               </font>
             </td>
          </tr>
          
          <tr>
             <td valign='top'>
               <font face='Arial' size='2'>
                 <b>Betreff:</b>
               </font>
             </td>
             <td valign='top'>
               <font face='Arial' size='2'>
                 $betreff
               </font>
             </td>
          </tr>
          </table>
          <br />
          
          Klicken Sie hier um zum <a href='https://www.hs-ludwigsburg.de/kurs/ideenmanagement'>Ideenmanagement</a> zu gelangen.
          <p>
          Diese Mail wurde automatisch generiert!<br />
          Antworten Sie daher nicht auf diese Mail.<br />
          <br />
          Vielen Dank!
          </body>
          </html>";
      
        mail_einstell($vid, $uid, $empfaenger, NULL, NULL, $betreff, $text, 1, NULL);
          
          
        $result_name = $db->query("SELECT vorname, nachname FROM imt_user WHERE imtuid = '$uid'");
        $row_name = $result_name->fetch_array();
        
        $empfaenger = "$uid";
        $betreff1 = "Neuer Vorschlag im Ideenmanagement";
        $text = "
          <html>
          <head>
          <title>Neuer Vorschlag im Ideenmanagement</title>
          </head>
          <body>
          <font face='Arial' size='2'>
          Guten Tag $row_name[vorname] $row_name[nachname]!
          <br /><br />
          Im Rahmen des Ideenmanagements ist ein Verbesserungsvorschlag eingegangen. 
          Nachfolgend finden Sie die Daten des Vorschlags:
	  
          <br />
          <br />
          <table>
          <tr>
             <td valign='top'>
               <font face='Arial' size='2'>
                 <b>ID:</b>
               </font>
             </td>
             <td valign='top'>
               <font face='Arial' size='2'>
                 $vid
               </font>
             </td>
          </tr>
          
          <tr>
             <td valign='top'>
               <font face='Arial' size='2'>
                 <b>Betreff:</b>
               </font>
             </td>
             <td valign='top'>
               <font face='Arial' size='2'>
                 $betreff
               </font>
             </td>
          </tr>
          </table>
          <br />
          
          Klicken Sie hier um zum <a href='https://www.hs-ludwigsburg.de/kurs/ideenmanagement'>Ideenmanagement</a> zu gelangen.
          <p>
          Diese Mail wurde automatisch generiert!<br />
          Antworten Sie daher nicht auf diese Mail.<br />
          <br />
          Vielen Dank!
          </body>
          </html>";
      

          mail_einstell($vid, $uid, $empfaenger, NULL, NULL, $betreff, $text, NULL, NULL);
      
      echo "<meta http-equiv=\"refresh\" content=\"0; URL=".$_SERVER['PHP_SELF']."?action=save1\">";
    }else{
      echo "Es trat ein Fehler auf";
    }
    
  }
}

if($action == 'save1'){
 $smarty->assign('erfassen_eingabe_id', $_SESSION["erfassen_eingabe_vid"]);
}


$smarty->assign('action', "$action");
$smarty->display("$template/$templatename");
?>
